- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ftd_file_download – Downloads files from Cisco FTD devices over HTTP(S)

New in version 2.7.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Downloads files from Cisco FTD devices including pending changes, disk files, certificates, troubleshoot reports, and backups.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
destination path / required |  | Absolute path of where to download the file to. If destination is a directory, the module uses a filename from 'Content-Disposition' header specified by the server.
operation string / required |  | The name of the operation to execute. Only operations that return a file can be used in this module.
path_params dictionary |  | Key-value pairs that should be sent as path parameters in a REST API call.

## Examples

    - name: Download pending changes
      ftd_file_download:
        operation: 'getdownload'
        path_params:
          objId: 'default'
        destination: /tmp/

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | error | The error message describing why the module failed.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Cisco Systems, Inc. (@annikulin)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.